Subject: Re: [PATCH v3 0/8] builtin: implement, document and test url-parse

From: Junio C Hamano <[email-masked]>
Date: Sun, 03 May 2026 12:49:02 +0900

"Matheus Moreira via GitGitGadget" <[email-masked]> writes:

> ... Tools wanting to reason
> about them have historically had to reimplement git's parsing or shell out
> indirectly. With git url-parse, scripts can ask git directly: validate a
> URL, extract a component (scheme, user, host, port, path, password), or
> both.

Nitpick.  With "git url-parse", these scripts has to do what they
traditionally have always done, i.e., shell out to the command, no?